#include <./Arduino.h>
#include "night.h"

// プロトタイプ宣言
void GreetingDay();
void SetTimeDay(S_CONTEXT* context, unsigned int time);

// 現在の時間
unsigned int dayHour;

// インスタンス
static STATE day = {
	GreetingDay,
	SetTimeDay
};

// インスタンスを返す
STATE* GetDayInstans(void) {
	return &day;
}

// 挨拶 (状態の処理)
void GreetingDay() {
	Serial.print("こんにちは。今日はいい天気ですね！今は");
  Serial.print(dayHour);
  Serial.print("時です。\n");
}

// 時間をセットする
void SetTimeDay(S_CONTEXT* context, unsigned int time) {
	dayHour = time;
	//if (5 < dayHour && dayHour < 17) {
	if (5 > dayHour || dayHour > 17) {
		// 状態を夜に変更
		context->ChangeState(GetNightInstans());
	}
}
